跳转到主要内容
告警与响应相关接口/告警通道与集成
GETAlerting起始版本 1.0同步需要认证

获取告警Webhook端点

获取详情特定Webhook端点。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • endpointIdString必填

    端点标识符获取。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • idString

    资源ID。

    示例: wh-001

  • nameString

    资源名称。

    示例: Slack Webhook

  • urlString

    目标地址Webhook投递。

    示例: https://hooks.slack.com/services/T00/B00/xxx

  • signingEnabledBoolean

    是否启用签名。

    示例: true

  • signingSecretMaskedString

    已脱敏签名密钥最近一次4字符可见。

    示例: ****abc1

  • createdAtString

    创建时间。

    示例: 2026-01-15T08:00:00Z

  • updatedAtString

    更新时间。

    示例: 2026-01-15T08:00:00Z

请求地址

GET/api/v1/alerting/webhook-endpoints/{endpointId}

/api/v1/alerting/webhook-endpoints/{endpointId}

操作 ID

GetAlertWebhookEndpoint

永久链接

请求示例

curl -X GET '{host}/api/v1/alerting/webhook-endpoints/{endpointId}' -H 'Authorization: Bearer {token}'

响应示例

200
{
  "id": "wh-001",
  "name": "Slack Webhook",
  "url": "https://hooks.slack.com/services/T00/B00/xxx",
  "signingEnabled": true,
  "signingSecretMasked": "****abc1",
  "createdAt": "example",
  "updatedAt": "example"
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史